#ifndef LOGGER_H_
#define LOGGER_H_

#include <set>
#include <string>

class Logger
{
private:
	std::set<std::string> enabled_channels;

public:
	void enable_channel(const std::string &);
	void disable_channel(const std::string &);

	void log(const std::string &, const std::string &) const;
};

#endif
