#ifndef PKGCONFIGFILE_H_
#define PKGCONFIGFILE_H_

#include "sourcepackage.h"
#include "filetarget.h"

/**
Creates a .pc file to enable other packages fetch build options with pkg-config.
*/
class PkgConfigFile: public FileTarget
{
public:
	PkgConfigFile(Builder &, const SourcePackage &);

	virtual const char *get_type() const { return "PkgConfig"; }
};

#endif
