#include "clangccompiler.h"
#include "clangcxxcompiler.h"
#include "clangobjccompiler.h"
#include "clangtools.h"

ClangTools::ClangTools(Builder &builder, const Architecture &arch)
{
	add_tool(new ClangCCompiler(builder, arch));
	add_tool(new ClangCxxCompiler(builder, arch));
	add_tool(new ClangObjCCompiler(builder, arch));
}
